
clear
set mem 100m
set matsize 300
set more 1

*! Author: Amadou Bassirou DIALLO
*AFTP, The World Bank, Washington
*CERDI, University of Auvergne.


*******************************************************************
***This file takes the new Cote d'Ivoire Household Survey (2002)***
***and and analyses the determinants of Multinomial analysis on the
***choice of health providers**************************************
*******************************************************************

cd "O:\QWodon\Bachir DIALLO\Employment_Consumption_Poverty\Other surveys\Donnes\STATA"

cap log close
log using ill.log, replace



*in Cote d'Ivoire in 2002



use sect01, clear

*Generate illness varaible

g ill=s1q11
recode malade=0 if malade==2

*Length of illness episode


g time=s1q12b
recode time 1=1 2=7 3=30 4=365
ta time

g ill_length=s1q12a*time
drop time

ta ill_length

*Consultation for illness

g consult=1 if ill==1 & ill~=.

*Who is consulted?

g consult_type=




