
/*
use temp, clear
d
codebook
su*/





/*Additional variables on household assets*/

use sect10b, clear

cap log close
log using asset.log, replace

count

sort hid

g radio=cond(s10bq1b==1, 1, 0) if s10bq1a==8
g tv=cond(s10bq1b==1, 1, 0) if s10bq1a==7
g rfridge=cond(s10bq1b==1, 1, 0) if s10bq1a==9
g stove=cond(s10bq1b==1, 1, 0) if s10bq1a==12
g oxcart=cond(s10bq1b==1, 1, 0) if s10bq1a==1
g bcycle=cond(s10bq1b==1, 1, 0) if s10bq1a==4
g boat=cond(s10bq1b==1, 1, 0) if s10bq1a==3
g mcycle=cond(s10bq1b==1, 1, 0) if s10bq1a==5
g car=cond(s10bq1b==1, 1, 0) if s10bq1a==6

*Generating leave-out means
gen n=1
egen ntot = sum(n), by(grap)
egen sradio=sum(radio), by(grap)
egen stv=sum(tv), by(grap)
egen srfridge=sum(rfridge), by(grap)
egen sstove=sum(stove), by(grap)
egen soxcart=sum(oxcart), by(grap)
egen sbcycle=sum(bcycle), by(grap)
egen sboat=sum(boat), by(grap)
egen smcycle=sum(mcycle), by(grap)
egen scar=sum(car), by(grap)

g lomradio=(sradio-radio)/(ntot-1)
g lomtv=(stv-tv)/(ntot-1)
g lomrfridge=(srfridge-rfridge)/(ntot-1)
g lomstove=(sstove-stove)/(ntot-1)
g lomoxcart=(soxcart-oxcart)/(ntot-1)
g lombcycle=(sbcycle-bcycle)/(ntot-1)
g lomboat=(sboat-boat)/(ntot-1)
g lommcycle=(smcycle-mcycle)/(ntot-1)
g lomcar=(scar-car)/(ntot-1)




sort hid
merge hid using ind5.dta
tab _merge
drop _merge


keep grappe menord grap menor hid indid survey-yrs_here lf-hhstruc ownland landsize occup_tr-phone radio-car
sort hid indid
save ind6.dta, replace