label define ouinon 1"Yes" 2"No"

count
cap drop surveyr 
cap drop country
g surveyr =2002
gen str3(country) = "CIV"


*Regions of birth

cap drop geocode2
gen str20(geocode2)="Lagunes" 	        if s1q23c==2 | s1q23c==52 |  s1q23c==25 |  s1q23c==45 |  s1q23c==54 |  s1q23c==56              /*Abidjan, Alp, Dabou, Grand -Lahou, Jacqueville, Tiassal*/
replace geocode2="Sud Comoe"	        if s1q23c==3 | s1q23c==55 |  s1q23c==51                                                        /*Aboisso, Adiak, Grand-Bassam*/ 
replace geocode2="Agneby"	        if s1q23c==5 | s1q23c==4                                                                       /*Agboville, Adzop*/
replace geocode2="Haut-Sassandra"	if s1q23c==17| s1q23c==27 |  s1q23c==48                                                        /*Daloa, Issia, Vavoua*/
replace geocode2="Savanes"		if s1q23c==29| s1q23c==15 |  s1q23c==23 |  s1q23c==44                                          /*Korhogo, Boundiali, Ferkessedougou, Tengrela*/	
replace geocode2="Vallee du Bandama"	if s1q23c==13| s1q23c==8  |  s1q23c==16 |  s1q23c==28 |  s1q23c==36                            /*Bouak, Boumi, Dabakala, Katiola, Sakassou*/
replace geocode2="Moyen-Comoe"		if s1q23c==1 | s1q23c==6                                                                       /*Abengourou, Agnibilkro*/
replace geocode2="18 montagnes"		if s1q23c==31| s1q23c==7  |  s1q23c==9  |  s1q23c==18                                          /*Man, Bangolo, Biankouma, Danan*/
replace geocode2="Lacs"		        if s1q23c==49| s1q23c==57 |  s1q23c==47                                                        /*Yamoussoukro, Tiebissou, Toumodi*/
replace geocode2="Zanzan"		if s1q23c==14| s1q23c==10 |  s1q23c==43                                                        /*Bouna, Bondoukou, Tanda*/
replace geocode2="Bas-Sassandra"	if s1q23c==37| s1q23c==38 |  s1q23c==41 |  s1q23c==42                                          /* San-Pedro, Sassandra, Soubr, Tabou*/
replace geocode2="Worodougou"	        if s1q23c==32| s1q23c==39                                                                      /*Mankono, Sgula*/
replace geocode2="Denguele"		if s1q23c==34                                                                                  /*Odienn*/
replace geocode2="Sud Bandama"		if s1q23c==21| s1q23c==30                                                                      /*Divo, Lakota*/
replace geocode2="Fromager"	        if s1q23c==24| s1q23c==35                                                                      /*Gagnoa, Oum*/
replace geocode2="Nzi Comoe"	        if s1q23c==11| s1q23c==19 |  s1q23c==20 |  s1q23c==33 |  s1q23c==53                            /*Bongouanou, Daoukro, Dimbokro, M'bahiakro, Bocanda*/
replace geocode2="Marahoue"	        if s1q23c==12| s1q23c==40 |  s1q23c==50                                                        /*Bouafl, Sinfra, Zuenoula*/
replace geocode2="Cavaly"	        if s1q23c==26| s1q23c==22 |  s1q23c==58                                                        /*Guiglo, Dukou, Toulepleu*/
replace geocode2="Baffing"	        if s1q23c==46   /*Touba*/ 
replace geocode2="Non CIV"              if s1q23c==59 
replace geocode2="Other regions"        if s1q23c==.
ta s1q23c, m
ta geocode2
ta geocode2, m

cap drop geocode1
g double geocode1=.
replace geocode1=1      if geocode2=="Lagunes" 	
replace geocode1=2      if geocode2=="Sud Comoe"	
replace geocode1=3	if geocode2=="Agneby"
replace geocode1=4	if geocode2=="Haut-Sassandra"
replace geocode1=5	if geocode2=="Savanes"	
replace geocode1=6      if geocode2=="Vallee du Bandama"	
replace geocode1=7	if geocode2=="Moyen-Comoe"
replace geocode1=8	if geocode2=="18 montagnes"
replace geocode1=9	if geocode2=="Lacs"
replace geocode1=10	if geocode2=="Zanzan"
replace geocode1=11	if geocode2=="Bas-Sassandra"
replace geocode1=12     if geocode2=="Worodougou"	
replace geocode1=13	if geocode2=="Denguele"
replace geocode1=14	if geocode2=="Sud Bandama"
replace geocode1=15     if geocode2=="Fromager"	
replace geocode1=16	if geocode2=="Nzi Comoe"
replace geocode1=17	if geocode2=="Marahoue"
replace geocode1=18	if geocode2=="Cavaly"
replace geocode1=19	if geocode2=="Baffing"
replace geocode1=20     if geocode2=="Non CIV"
replace geocode1=21     if geocode2=="Other regions" 
ta geocode1
ta geocode1, m

recode geocode1 18=11 19=13 15=14  21=20
/*Grouping Cavaly and Bas-Sassandra, Baffing and Denguele, Fromager and Sud Bandama, Non CIV and "Other region"*/
lab var geocode1 "Region of birth"

*Actual region of residence
sort grappe
cap drop grappen
encode grappe, gen(grappen)
su grappe grappen
cap drop region
g region=.
replace region=1 if (grappen<141)
replace region=2 if (grappen>=341 & grappen<=374)
replace region=3 if (grappen>=256 & grappen<=280)
replace region=4 if (grappen>=519 & grappen<=524)
replace region=5 if (grappen>=187 & grappen<=217)
replace region=6 if (grappen>=218 & grappen<=255)
replace region=7 if (grappen>=431 & grappen<=449)
replace region=8 if (grappen>=281 & grappen<=323)
replace region=9 if (grappen>=423 & grappen<=430)
replace region=10 if (grappen>=537 & grappen<=540)
replace region=11 if (grappen>=530 & grappen<=536)
replace region=12 if (grappen>=141 & grappen<=186)
replace region=13 if (grappen>=375 & grappen<=422)
replace region=14 if (grappen>=525 & grappen<=529)
replace region=15 if (grappen>=450 & grappen<=463)
replace region=16 if (grappen>=324 & grappen<=340)
replace region=17 if (grappen>=488 & grappen<=502)
replace region=18 if (grappen>=503 & grappen<=518)
replace region=19 if (grappen>=464 & grappen<=487)

cap label drop region 
#delimit;
lab def region 
1"LAGUNES" 
2"ZANZAN" 
3"MOYEN COMOE" 
4"AGNEBY" 
5"SAVANES" 
6"VALLEE DU BANDAMA"
7"N'ZI COMOE"
8"MONTAGNES"
9"DENGUELE"
10"BAFING"
11"MOYEN CAVALLY"
12"HAUT SASSANDRA"
13"BAS SASSANDRA"
14"FROMAGER"
15"MARAHOUE"
16"LACS"
17"WORODOUGOU"
18"SUD BANDAMA"
19"SUD COMOE"
;
#delimit cr
lab values region region 
lab var geocode1 "Actual region of residence"
ta region, m


/*Individual information*/


sort hid indid


*Ethic group
cap drop ethnie
g ethnie=s1q8
recode ethnie 6/max=9
cap label drop ethnie
label define ethnie 1"Akan" 2"Krou" 3"Mande-Nord" 4"Mande-Sud" 5"Voltaique" 9"Etrangers" 
label values ethnie ethnie


*Religion
cap drop religion
g religion=s1q9
recode religion 1/3=1 4=2 5/7=3
cap label drop religion 
label define religion 1"Chretien" 2"Musulman" 3"Animiste/Autres/Sans religion"
label values religion religion


/*gen member=cond(s1q10==1,1,0) if s1q10~=.
tab member, missing
egen hhsize2 = sum(member), by (hid)
sum hhsize
I don't have any information here
*/

cap drop sex
g sex= s1q3 if s1q3~=.
tab sex, m

cap drop relat
g relat= s1q4
ta relat, m
*replace relat=3 if ( s1q6a <10 & relat==1)
recode relat 1=1 2=2 3=3 4=4 5/8=5 10=5 9=4 11=6 12/13=7 
cap label drop relat
label def relat 1"Chief" 2"Spouse" 3"Children" 4"Grand-Parents" 5"Other relatives" 6"Maid" 7"Other non relatives"
lab values relat relat 
ta relat , m

cap drop agey
g agey= s1q6a if s1q6a~=.
ta agey, m


cap label drop marstat
cap drop marstat
label define marstat 1 "Married" 2 "Separated/Divorced" 3 "Widowed" 4 "Nver Married", add
g marstat= s1q7 if s1q7~=.
recode marstat 0=1 6=5 /*Replacing in the correct codes*/
recode marstat 1=1 2/3=2 4=3 5=4 /*Have to check if it recodes correctly*/
label value marstat marstat
ta marstat, m




/*Education*/

cap drop literacy
g literacy=s1q27 if (s1q6a >=5&s1q27~=.)
recode literacy 0=1 7=3 /*Replacing in the correct codes*/
recode literacy 1/2=1 3=2
cap label drop literacy
lab def literacy 1"Read/Write" 2"No"
lab values literacy literacy 
ta literacy, m

cap drop everattd
g everattd=s1q30 if (s1q6a >=5&s1q30~=.)
recode everattd 3=2
ta everattd, m

cap drop educlev 
g educlev=s1q31  if s1q6a >=5 & s1q31~=. /*I choose the last class attended , instead of the highest grade completed*/
ta educlev, m
recode educlev 0 =8
/*recode educlev  =2*/ *There is no code for the coranic level
recode educlev 1 2 3 4 5 6=3
recode educlev 6 =4 if s1q32==1 /* I am assuming that people with educlev=6 are complete primary*/
recode educlev 7 8 9 10 11 12 13 24 25 26 27 28 29 30 31 32 33 34 35 36 37 =5 /*I assume "secondaire" and "secondaire professionnelle" are the same*/
recode educlev 13 =6 if s1q32==4 | s1q32==11| s1q32==12| s1q32==13|s1q32==14 /* I am assuming that people with educlev=13 are complete secondary*/
recode educlev 14 15 16 17 18 19 20 21 22 23 38 39=7
/*recode educlev  =9
recode educlev  =99*/
recode educlev . =1 if everattd==2 /* people who have never attended to school have "no level of education"*/
recode educlev .=99 if agey<5

cap lab drop educlev
label define educlev 1 "No level" 2 "koranic" 3 "inc. primary" 4 "com. primary" 5 "inc. secundaty"/*
*/ 6 "com. secundary" 7 "tertiary" 8 "pre-school" 9 "not stated" 99 "undefined", add
label value educlev educlev

cap drop atschool
g atschool=s1q35  if s1q6a >=5 & s1q6a~=.
ta atschool, m

cap drop schltyp 
g schltyp=s1q38 if s1q38~=.
recode schltyp 1/2 =1 3/4=2 5/6=3

cap label drop yesno
label define yesno 1 "Yes" 2 "No", add
label value literacy yesno
label value atschool yesno


/*Health*/

cap drop morbid 
gen morbid =s1q11 if s1q11~=.
ta morbid, m

cap drop morb_tr 
gen morb_tr =s1q12a if s1q12a~=.

cap drop timemorbid
tempvar timemorbid
g timemorbid=s1q12b
recode timemorbid 1=1 2=7 3=30 4=365

replace morb_tr=s1q12a*timemorbid 

cap drop rtreatm 
gen rtreatm = cond(s1q13==1&s1q14==1,1,2) if morbid==1
tab rtreatm , m

* We will have information on health provider not only on people with morbid==1 bot also
* on other people (no sick or injured) who visited the doctor because of vaccinations, consultations, etc.
* without being necessarily sick

cap drop hprovide 
gen hprovide = s1q17 if s1q17~=.
recode hprovide 1=1 2/5=2 6=3 7=2 10=4 8/9=5 11=2 12=5 
tab hprovide, m

* Other health variables (Infant Mortality, etc.)

*Handicap status
sort hid
cap drop handicap 
g handicap =1 if s1q10~=0    /* 1 is handicaped, 0 not*/
replace handicap=0 if s1q10==0
cap drop nhandicap
by hid: g nhandicap=sum(handicap) 
cap drop nbhandic 
bysort hid: egen nbhandic =max(nhandicap)  /*Number of handicaped persons in the household*/




* The survey does not have information to construct ownprovd, child vaccination, or fplan 
* No information on child mortality too.

cap drop prenatal 
gen prenatal = cond(s1q20==1,1,0) 

/* Aucune information sur l'utilisation du temps*/

/* Migration*/

/*Temporary migration*/   

cap drop yrs_here 
g yrs_here =s1q24a if s1q24a~=.
recode yrs_here 99=.
replace yrs_here=(s1q24a*12)+s1q24b   /*In months*/
replace yrs_here= yrs_here/12 /*In years*/
replace yrs_here =round(yrs_here, .1) /*In years*/


cap drop t_mig 
g t_mig =0
replace t_mig=1 if (yrs_here <2 & s1q25>1)   /*A visitor has left his own house so is a temporary migrant*/

/*Long term migration*/ *Not very detailed
cap drop l_mig 
g l_mig =0
replace l_mig=1 if (yrs_here >=2 & s1q25>1)   /*A visitor has left his own house so is a temporary migrant*/


#delimit;

cap label drop dummy 
label define dummy 1 "yes" 0 "No", add;
cap lab drop s1q26 
label define s1q26 1 "Travail" 2 "Sant" 3 "Ecole" 4 "Recherche d'emploi"
5 "Aide familiale" 6 "Prob. de logement" 7 "Visite" 8 "Mariage " 9 "Motif familial" 10"Autres", add;

#delimit cr

recode s1q26 0=1
label values s1q26 s1q26 

cap drop why_mig 
g why_mig =s1q26
label values why_mig s1q26 

sort hid ethnie
cap drop ivoirien
g ivoirien=cond(ethnie<=5, 1, 0)
ta ivoirien, m

count