clear
set mem 100m
set more 1

cd "O:\QWodon\Bachir DIALLO\Employment_Consumption_Poverty\Other surveys\Donnes\STATA"

#delimit;
local datas "sect01 sect02 sect03b1 sect03b2
sect04a sect04b sect05a sect05b sect06a sect06b sect07
sect08a sect08b sect08c      
sect08d sect08e sect08f sect08g
sect08h sect09 sect10a sect10b sect11a sect11b sect11c 
sect12a sect12b hhexp pauvre ";

#delimit cr

/*sect03a */


foreach v of local datas {
             use `v'
             replace menord="04" if menord=="4"
             cap drop grap
             encode grappe, gen(grap)
             cap drop menor
             encode menord, gen(menor)
             cap drop hid
             g hid=(grap*100)+menor
             cap drop n
             sort hid
             by hid: g n=_n
             cap drop indid
             bysort hid: g indid=(hid*100)+n
             drop n grap menor
             sort grappe menord hid indid
             compress
             save, replace
}

