#delimit;

/* Still using a rough measure of total consumption */;

/* ------------- */
/* poverty lines */
/* ------------- */;


use hhexp, clear;
drop  homecons house hinvest hutil school internet health trcomm trschool clothing dgoods remitt  hygine entmnt domest inkind;
sort hid ;
compress;
save hhexp1, replace;

use ind6, clear;
sort hid;

merge hid using hhexp1;

ta geocode2;
sort hid;
cap drop count;
by hid: g count=_n;
ta count;
drop if count>1;
drop count;

ta _merge;
drop _merge;
compress;
save, replace;

count;




tab geocode2, m;

#delimit cr

cap drop rururb
g rururb=milieu

cap drop wta 
g wta =pond
cap drop  _region_ _milieu_

cap drop rural
gen byte rural = cond( rururb == 1, 1, 0 )
lab var rural "dummy for rural areas"

cap drop urban
gen byte urban = 1 - rural
*gen urban = cond( rururb == 2, 1, 0)
lab var urban "dummy for urban areas"
recode literacy 2=1 3=2 
compress


cap drop pl
gen     pl = povline 
lab var pl "Poverty line"

tab2 rururb pl, m
cap drop total_pc 
g double total_pc =pchhexp

sum hhexp total_pc

cap drop ln_wm_pl 
bysort rururb hid: gen double ln_wm_pl = ln( total_pc / pl )
lab var ln_wm_pl "ln(welfare measure)"

# delimit ;
cap drop geo1 ge02 geo3 geo4 geo5;
ta geocode2, m;
destring geocode2, replace;
ta geocode2;


*tab strate, gen(geo);
tab strate rururb;
recast double hhsize;
cap drop weight;
gen double(weight)=wta*hhsize;
sum weight wta hhsize;

* Note we should use h_sgl (not h_nsp) because it correspond to the same number of houses with zero spouses. ;

rename poor poor_old;
cap drop poor;
gen poor=cond(total_pc<pl,1,0) if (total_pc~=.&pl~=.) ;
*compare poor poor_old;
cap drop lander;
ren landsz lander  /*It seems there is a bug in stata7 concerning this name; I replace landsz by lander*/;
#delimit cr
ta geocode1, m
ta geocode1 rururb

compress


save, replace


