clear
set mem 100m
set more 1
cap log close
log using dom.log, replace 

cd "C:\Documents and settings\wb235844.WB\Desktop\Other surveys\Donnes\STATA"
cap prog drop dom
use sect01, clear
encode grappe, gen(grap)
encode menord, gen(menor)
g hid=(grap*100)+menor
bysort hid: g n=_n
bysort hid: egen hhsize =max(n)
drop n
keep grap menor hid hhsize s1q3
collapse (mean) grap menor hhsize s1q3, by(hid)
sort grap menor hid 
save "C:\temp\temp", replace
use hhexp, clear
encode grappe, gen(grap)
encode menord, gen(menor)
g hid=(grap*100)+menor
keep grap menor hid hhexp
sort grap menor hid 
collapse (mean) grap menor hhexp, by(hid)
sort grap menor hid 
merge grap menor hid using "C:\temp\temp"
ta _merge
keep if _merge==3
drop _merge
save "C:\temp\temp", replace
use "C:\temp\temp", clear
gen pcexp = hhexp / hhsize
sum pcexp, detail
scalar zmax = r(p50)
preserve
keep if s1q3==1
keep pcexp hhsize
rename pcexp pcexp1
rename hhsize hhsize1
save c:\temp\temp, replace
restore
preserve
keep if s1q3==2
keep pcexp hhsize
merge using c:\temp\temp
dom pcexp1 hhsize1 pcexp hhsize zmax 40
restore
log close
set more on
exit
