***
*** Expenditure in Cote d'Ivoire
***
***Code borrowed from Angus Deaton

version 4.0
#delimit ;
cap log close;
log using CIVexp.log, replace;
cd "C:\Documents and settings\wb235844.WB\Desktop\Other surveys\Donnes\STATA";
use pauvre, clear;
keep grappe menord hid pond hhsize pchhexp povline pauv extline deflat strate region milieu;
sort grappe menord hid;
save w, replace;
use hhexp, clear;
sort grappe menord hid;
merge grappe menord hid using w;
ta _merge;
drop _m;
save hhexp1, replace;
drop _all;
set more 1;
* data with income, expenditure and weights;
use hhexp1;
* remove missing values;
drop if hhexp==.;
* getting the sum of the weights for normalization;
g weight=pond*hhsize;
qui summ weight;
global bigw=_N*_result(3); 
sort hhexp;
gen sumwt=sum(weight)/$bigw;
gen dec=int(sumwt*10)+1;
replace dec=10 if dec==11; 
sort dec;
*average expenditure by deciles of total household expenditure;
by dec: summ hhexp [aweight=weight];
summ hhexp [aweight=weight]; 
log close; 
 
