clear
set more 1
set mem 1000m
set rmsg on
set matsize 400 
set seed 123456789


cd "C:\Documents and Settings\Bachir\Desktop\Bachir\World Bank\Wodon\CIV\Cote d'Ivoire Consumption\STATA"

cap log close
log using "IndividualMerging.log", replace

/*
use sect01, clear
keep hid indid s1q4
sort hid indid
save relat, replace



use sect11a, clear
count
sort hid indid
merge hid indid using relat
ta _mer
drop _merge
ta s1q4
keep if s1q4==1
count
bysort hid: g count=_n
keep if count==1
drop count
count
compress
sort hid indid 
save sect11abis, replace

use sect11b, clear
count
sort hid indid
merge hid indid using relat
ta _mer
drop _merge
ta s1q4
keep if s1q4==1
count
bysort hid: g count=_n
keep if count==1
drop count
count
compress
sort hid indid 
save sect11bbis, replace


use sect11c, replace
count
bysort hid: g count=_n
keep if count==1
drop count
count
compress
sort hid indid 
save sect11cbis, replace

*/

clear _all
set mem 1000m
set more 1
set rmsg on
set matsize 400 
set seed 123456789


use sect01, replace
count
count if s1q4==1
count if s1q4==2
sort hid indid 
save individual, replace



use sect02 , replace
count
sort hid indid 
save, replace
use individual, replace
count
sort hid indid 
merge hid indid using sect02
ta _merge
drop _merge
sort hid indid 
compress
count
count if s1q4==1
count if s1q4==2
save, replace

/*
use sect03a , replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect03a 
ta _merge
drop _merge
sort hid
compress
count
save, replace
*/

use sect03b1 , replace
count
keep hid indid s3b1q15a s3b1q15b s3b1q14a 
bysort hid: g count=_n
ta count
keep if count==1
drop count
sort hid
save sect03b1bis, replace
use individual, replace
count
sort hid
merge hid using sect03b1bis
ta _merge
drop _merge
sort hid
compress
count
count if s1q4==1
count if s1q4==2
save, replace

/*
use sect03b2, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect03b2
count
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect04a, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect04a
ta _merge
drop _merge
sort hid
compress
save, replace

use sect04b, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect04b
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect05a , replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect05a
ta _merge
drop _merge
sort hid
compress
count
save, replace


use sect05b, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect05b
ta _merge
drop _merge
sort hid
compress
count
save, replace
*/


use sect06a, replace
count
sort hid indid 
save, replace
use individual, replace
count
sort hid indid 
merge hid indid using sect06a
ta _merge
drop _merge
sort hid indid 
compress
count
count if s1q4==1
count if s1q4==2
save, replace

use sect06b, replace
count
bysort indid: g count=_n
ta count, m
keep if count==1
drop count
sort hid indid 
save, replace
use individual, replace
count
sort hid indid 
merge hid indid using sect06b
ta _merge
drop _merge
sort hid
compress
count
count if s1q4==1
count if s1q4==2
save, replace

use sect07, replace
count
sort hid indid 
save, replace
use individual, replace
count
sort hid indid 
merge hid indid using sect07
ta _merge
drop _merge
sort hid indid 
compress
count
count if s1q4==1
count if s1q4==2
save, replace

/*
use sect08a, replace
count
sort hid indid 
save, replace
use individual, replace
count
sort hid indid 
merge hid indid using sect08a
ta _merge
drop _merge
sort hid indid 
compress
count
save, replace

use sect08b, replace
count
sort hid indid 
save, replace
use individual, replace
count
sort hid indid 
merge hid indid using sect08b
ta _merge
drop _merge
sort hid indid 
compress
count
save, replace

use sect08c, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08c
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08d, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08d
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08e, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08e
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08f , replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08f
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08g, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08g
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08h, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08h
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect09, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect09
ta _merge
drop _merge
sort hid
compress
count
save, replace


use sect10a, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect10a
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect10b, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect10b
ta _merge
drop _merge
sort hid
compress
count
save, replace
*/



/*
use individual, replace
count
sort hid indid 
merge hid indid using sect11abis
ta _merge
drop _merge
sort hid indid 
compress
count
count if s1q4==1
save, replace


use individual, replace
count
sort hid indid 
merge hid indid using sect11bbis
ta _merge
drop _merge
sort hid indid 
compress
count
count if s1q4==1
save, replace


use individual, replace
count
sort hid indid 
merge hid indid using sect11cbis
ta _merge
drop _merge
sort hid indid 
compress
count
count if s1q4==1
save, replace

use sect12a, replace
count
sort hid indid 
save, replace
use individual, replace
count
sort hid indid 
merge hid indid using sect12a
ta _merge
drop _merge
sort hid indid 
compress
count
count if s1q4==1
save, replace

use sect12b, replace
count
sort hid indid 
save, replace
use individual, replace
count
sort hid indid 
merge hid indid using sect12b
ta _merge
drop _merge
sort hid indid 
compress
count
count if s1q4==1
save, replace

*/

use pauvre, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using pauvre
ta _merge
drop _merge
sort hid
compress
count
count if s1q4==1
count if s1q4==2
save, replace


use hhexp, clear
count
sort hid 
compress
save, replace
use individual, replace
count
merge hid using hhexp
ta _mer
drop _mer
count
count if s1q4==1
count if s1q4==2
sort hid 
save, replace

use civ_inc, clear
count
*ren idmen hid
sort hid
save , replace
use individual, clear
count
sort hid
merge hid using civ_inc
ta _merge
drop _merge
count
count if s1q4==1
count if s1q4==2
sort hid 
save, replace

cap log close
set rmsg off
set more on
exit
