clear
set more 1
set mem 100m
set matsize 800
cap log close

cd "C:\Documents and settings\wb235844.WB\Desktop\Nigeria"

log using "C:\Documents and settings\wb235844.WB\Desktop\Nigeria\Illness.log", replace

local pays "ngkr41rt"

foreach v of local pays {
                use `v', clear
                do variable.do
                g malade=cond(toux==1|diarrhee==1|fievre==1, 1, 0)   
                xi:streg i.sexenf i.intervnais i.ordrenais i.taille i.educmere i.sexf i.agemeren i.polygamie i.tetanos i.antenatal i.accouchement /*i.bmi  i.presconj*/ i.educmari i.agepere enfants enfants2 poor1 poor2 i.eau i.toilet i.hhsize north south i.milieu lomantenatal2 lomvaccin lomtoux lomdiarrhee, dist(exponential) robust /*tr*/
                
outreg using "dhs.xls", ctitle(`v' Cox Rural) bdec(3) 3aster  append 

}

log close
set more on
exit


